Package org.gradle.api.plugins

## Class BasePluginConvention

- java.lang.Object
- - org.gradle.api.plugins.BasePluginConvention

-     public abstract class BasePluginConvention
      extends java.lang.Object

  A `Convention` used for the BasePlugin.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasePluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `getArchivesBaseName()` | The base name to use for archive files.
    `abstract java.io.File` | `getDistsDir()` | Deprecated.
    `abstract DirectoryProperty` | `getDistsDirectory()` | Returns the directory to generate TAR and ZIP archives into.
    `abstract java.lang.String` | `getDistsDirName()` | The name for the distributions directory.
    `abstract java.io.File` | `getLibsDir()` | Deprecated.
    `abstract DirectoryProperty` | `getLibsDirectory()` | Returns the directory to generate JAR and WAR archives into.
    `abstract java.lang.String` | `getLibsDirName()` | The name for the libs directory.
    `abstract org.gradle.api.internal.project.ProjectInternal` | `getProject()` | Deprecated.
    `abstract void` | `setArchivesBaseName​(java.lang.String archivesBaseName)` |
    `abstract void` | `setDistsDirName​(java.lang.String distsDirName)` |
    `abstract void` | `setLibsDirName​(java.lang.String libsDirName)` |
    `abstract void` | `setProject​(org.gradle.api.internal.project.ProjectInternal project)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePluginConvention

          public BasePluginConvention()

  - ### Method Detail

    - #### getDistsDir

          @Deprecated
          public abstract java.io.File getDistsDir()

      Deprecated.
      Returns the directory to generate TAR and ZIP archives into.

      This property has been replaced by distsDirectory.

      Returns:
        The directory. Never returns null.

    - #### getDistsDirectory

          public abstract DirectoryProperty getDistsDirectory()

      Returns the directory to generate TAR and ZIP archives into.
      Returns:
        The directory. Never returns null.
      Since:
        6.0

    - #### getLibsDir

          @Deprecated
          public abstract java.io.File getLibsDir()

      Deprecated.
      Returns the directory to generate JAR and WAR archives into.

      This property has been replaced by libsDirectory.

      Returns:
        The directory. Never returns null.

    - #### getLibsDirectory

          public abstract DirectoryProperty getLibsDirectory()

      Returns the directory to generate JAR and WAR archives into.
      Returns:
        The directory. Never returns null.
      Since:
        6.0

    - #### getProject

          @Deprecated
          public abstract org.gradle.api.internal.project.ProjectInternal getProject()

      Deprecated.

    - #### setProject

          @Deprecated
          public abstract void setProject​(org.gradle.api.internal.project.ProjectInternal project)

      Deprecated.

    - #### getDistsDirName

          public abstract java.lang.String getDistsDirName()

      The name for the distributions directory. This in interpreted relative to the project' build directory.

    - #### setDistsDirName

          public abstract void setDistsDirName​(java.lang.String distsDirName)

    - #### getLibsDirName

          public abstract java.lang.String getLibsDirName()

      The name for the libs directory. This in interpreted relative to the project' build directory.

    - #### setLibsDirName

          public abstract void setLibsDirName​(java.lang.String libsDirName)

    - #### getArchivesBaseName

          public abstract java.lang.String getArchivesBaseName()

      The base name to use for archive files.

    - #### setArchivesBaseName

          public abstract void setArchivesBaseName​(java.lang.String archivesBaseName)